Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.impl
Class ProcessInstanceImpl

    java.lang.Object
      org.jbpm.process.instance.impl.ProcessInstanceImpl

All Implemented Interfaces:
  Serializable, ContextableInstance, ContextInstanceContainer, EventListener, ProcessInstance

Direct Known Subclasses:
  WorkflowProcessInstanceImpl

    public abstract class ProcessInstanceImpl

extends Object
implements ProcessInstance, Serializable

Default implementation of a process instance.

See Also:
  Serialized Form

Field Summary
`protected static Pattern` | `PARAMETER_MATCHER`

Fields inherited from interface org.kie.api.runtime.process.ProcessInstance
`STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

Constructor Summary
`ProcessInstanceImpl()`

Method Summary
`void` | `addContextInstance(String contextId, ContextInstance contextInstance)`
`void` | `disconnect()`
`Agenda` | `getAgenda()`
`ContextContainer` | `getContextContainer()`
`ContextInstance` | `getContextInstance(Context context)`
`ContextInstance` | `getContextInstance(String contextId)`
`ContextInstance` | `getContextInstance(String contextId, long id)`
`List<ContextInstance>` | `getContextInstances(String contextId)`
`String` | `getDescription()`
`String[]` | `getEventTypes()` Returns the event types this event listener is interested in.
`long` | `getId()` The unique id of this process instance.
`org.drools.core.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()`
`Map<String,Object>` | `getMetaData()`
`String` | `getOutcome()`
`long` | `getParentProcessInstanceId()`
`Process` | `getProcess()`
`String` | `getProcessId()` The id of the process definition that is related to this process instance.
`String` | `getProcessName()` The name of the process definition that is related to this process instance.
`String` | `getProcessXml()`
`int` | `getState()` The state of the process instance.
`void` | `internalSetState(int state)`
`protected abstract void` | `internalStart(String trigger)`
`void` | `reconnect()`
`void` | `removeContextInstance(String contextId, ContextInstance contextInstance)`
`void` | `setContextInstance(String contextId, ContextInstance contextInstance)`
`void` | `setDescription(String description)`
`void` | `setId(long id)`
`void` | `setKnowledgeRuntime(org.drools.core.common.InternalKnowledgeRuntime kruntime)`
`void` | `setMetaData(String name, Object data)`
`void` | `setOutcome(String outcome)`
`void` | `setParentProcessInstanceId(long parentProcessInstanceId)`
`void` | `setProcess(Process process)`
`void` | `setProcessId(String processId)`
`void` | `setProcessXml(String processXml)`
`void` | `setState(int state)`
`void` | `setState(int state, String outcome)`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.
`void` | `start()`
`void` | `start(String trigger)`
`String` | `toString()`
`void` | `updateProcess(Process process)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.process.instance.ProcessInstance
`getFaultData, setState`

Field Detail

### PARAMETER_MATCHER

    protected static final Pattern PARAMETER_MATCHER

Constructor Detail

### ProcessInstanceImpl

    public ProcessInstanceImpl()

Method Detail

### setId

    public void setId(long id)

### getId

    public long getId()

  Description copied from interface: `ProcessInstance`
  The unique id of this process instance.

  Specified by:
    `getId` in interface `ProcessInstance`
  Returns:
    the unique id of this process instance

### setProcess

    public void setProcess(Process process)

### updateProcess

    public void updateProcess(Process process)

### getProcessXml

    public String getProcessXml()

### setProcessXml

    public void setProcessXml(String processXml)

### getProcess

    public Process getProcess()

  Specified by:
    `getProcess` in interface `ProcessInstance`

### setProcessId

    public void setProcessId(String processId)

### getProcessId

    public String getProcessId()

  Description copied from interface: `ProcessInstance`
  The id of the process definition that is related to this process instance.

  Specified by:
    `getProcessId` in interface `ProcessInstance`
  Returns:
    the id of the process definition that is related to this process instance

### getProcessName

    public String getProcessName()

  Description copied from interface: `ProcessInstance`
  The name of the process definition that is related to this process instance.

  Specified by:
    `getProcessName` in interface `ProcessInstance`
  Returns:
    the name of the process definition that is related to this process instance

### setState

    public void setState(int state)

### setState

    public void setState(int state,
                         String outcome)

### internalSetState

    public void internalSetState(int state)

### getState

    public int getState()

  Description copied from interface: `ProcessInstance`
  The state of the process instance.

  Specified by:
    `getState` in interface `ProcessInstance`
  Returns:
    the state of the process instance

### setKnowledgeRuntime

    public void setKnowledgeRuntime(org.drools.core.common.InternalKnowledgeRuntime kruntime)

### getKnowledgeRuntime

    public org.drools.core.common.InternalKnowledgeRuntime getKnowledgeRuntime()

### getAgenda

    public Agenda getAgenda()

### getContextContainer

    public ContextContainer getContextContainer()

  Specified by:
    `getContextContainer` in interface `ContextInstanceContainer`

### setContextInstance

    public void setContextInstance(String contextId,
                                   ContextInstance contextInstance)

### getContextInstance

    public ContextInstance getContextInstance(String contextId)

  Specified by:
    `getContextInstance` in interface `ContextableInstance`

### getContextInstances

    public List<ContextInstance> getContextInstances(String contextId)

  Specified by:
    `getContextInstances` in interface `ContextInstanceContainer`

### addContextInstance

    public void addContextInstance(String contextId,
                                   ContextInstance contextInstance)

  Specified by:
    `addContextInstance` in interface `ContextInstanceContainer`

### removeContextInstance

    public void removeContextInstance(String contextId,
                                      ContextInstance contextInstance)

  Specified by:
    `removeContextInstance` in interface `ContextInstanceContainer`

### getContextInstance

    public ContextInstance getContextInstance(String contextId,
                                              long id)

  Specified by:
    `getContextInstance` in interface `ContextInstanceContainer`

### getContextInstance

    public ContextInstance getContextInstance(Context context)

  Specified by:
    `getContextInstance` in interface `ContextInstanceContainer`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventListener`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### start

    public void start()

### start

    public void start(String trigger)

### internalStart

    protected abstract void internalStart(String trigger)

### disconnect

    public void disconnect()

### reconnect

    public void reconnect()

### getEventTypes

    public String[] getEventTypes()

  Description copied from interface: `EventListener`
  Returns the event types this event listener is interested in. May return `null` if the event types are unknown.

  Specified by:
    `getEventTypes` in interface `EventListener`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMetaData

    public Map<String,Object> getMetaData()

### setMetaData

    public void setMetaData(String name,
                            Object data)

### setOutcome

    public void setOutcome(String outcome)

### getOutcome

    public String getOutcome()

### getParentProcessInstanceId

    public long getParentProcessInstanceId()

### setParentProcessInstanceId

    public void setParentProcessInstanceId(long parentProcessInstanceId)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.